Search documentation of polar_express

# PolarExpress.Schemas.SubscriptionCanceledMetadata (polar_express v0.1.5)

Copy Markdown View Source

SubscriptionCanceledMetadata

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.SubscriptionCanceledMetadata{
      amount: integer() | nil,
      cancel_at_period_end: boolean() | nil,
      canceled_at: String.t() | nil,
      currency: String.t() | nil,
      customer_cancellation_comment: String.t() | nil,
      customer_cancellation_reason: String.t() | nil,
      ends_at: String.t() | nil,
      product_id: String.t() | nil,
      recurring_interval: String.t() | nil,
      recurring_interval_count: integer() | nil,
      subscription_id: String.t() | nil
    }

- `amount`
- `cancel_at_period_end`
- `canceled_at`
- `currency`
- `customer_cancellation_comment`
- `customer_cancellation_reason`
- `ends_at`
- `product_id`
- `recurring_interval`
- `recurring_interval_count`
- `subscription_id`

## Functions

# schema_name()